Change log for pytrainer package in Ubuntu

124 of 24 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-05
Deleted in disco-proposed (Reason: moved to release)
pytrainer (2.0.0~rc1-1) unstable; urgency=medium

  * Maintain under the Python apps team, add myself to uploaders
    (Closes: #899890)
  * New upstream version 2.0.0~rc1, rebase patches to fit
    - Ported to GTK3 and GI (Closes: #892912)
  * Updated dependencies for the new version
  * Updated build rules for the new version

 -- Arto Jantunen <email address hidden>  Fri, 04 Jan 2019 17:47:50 +0200

Available diffs

Superseded in disco-release on 2019-01-05
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-11-27
Deleted in bionic-proposed (Reason: moved to release)
pytrainer (1.11.0-1) unstable; urgency=medium

  * New upstream release. No longer depends on python-webkit. Closes: #749256

 -- Christian Perrier <email address hidden>  Sun, 15 Oct 2017 08:44:02 +0200
Deleted in zesty-release on 2018-01-23 (Reason: Depends on obsolete python-webkit; removed from Debian te...)
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
pytrainer (1.10.2~git20160107-4) unstable; urgency=medium

  * debian/control: add firefox-esr as one of alternative browsers in 'Depends'

 -- Marcelo Santana <email address hidden>  Wed, 06 Apr 2016 22:03:48 -0300
Superseded in yakkety-release on 2016-08-11
Deleted in yakkety-proposed on 2016-08-12 (Reason: moved to release)
pytrainer (1.10.2~git20160107-3) unstable; urgency=medium

  * We need to depend on python-webkit, otherwise pytrainer doesn't
    start...:-(
    Reopens: #749256

 -- Christian Perrier <email address hidden>  Tue, 08 Mar 2016 22:51:29 +0100
Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2016-01-13
Deleted in xenial-proposed (Reason: moved to release)
pytrainer (1.10.2~git20160107-1) unstable; urgency=medium

  * Fix .fit and .gpx file import issues with perl 5.22 Closes: #727768
  * Update debian/copyright according dep5 specification
  * Change upstream homepage from user account to repository and improve
    extended description in debian/control
  * Add debian/watch file
  * Create patch to fix some minor bugs in pytrainer.dektop file and refresh
    the remove_gpsbabel_version patch
  * Add lintian-overrides relative to 'debian-watch-may-check-gpg-signature'
  * Replace old style config section '[git-buildpackage]' with '[buildpackage]'
    in debian/gbp.conf file
  * Remove asterisk from debian/NEWS file
  * Remove deprecated debian/postinst and debian/postrm scripts
  * Delete empty directories in debian during building process

 -- Marcelo Santana <email address hidden>  Thu, 07 Jan 2016 17:48:19 -0300

Available diffs

Superseded in xenial-release on 2016-01-13
Deleted in xenial-proposed on 2016-01-15 (Reason: moved to release)
pytrainer (1.10.1-5) unstable; urgency=medium

  * Drop Debian menu entry, as the coexistence if it with ;desktop
    entries is now discouraged
  * Allow wrapper to pass arguments to pytrainer binary
    Closes: #796451

 -- Christian Perrier <email address hidden>  Thu, 03 Sep 2015 08:06:21 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
pytrainer (1.10.1-4) unstable; urgency=low

  * Reupload to unstable
  * Update Standards to 3.9.6 (checked)

 -- Christian Perrier <email address hidden>  Mon, 11 May 2015 07:04:06 +0200
Deleted in utopic-release (Reason: (From Debian) [auto-cruft] obsolete source package)
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
pytrainer (1.10.1-2) unstable; urgency=low


  * Upload to unstable

 -- Christian Perrier <email address hidden>  Sun, 19 May 2013 14:41:40 +0200

Available diffs

Superseded in saucy-release on 2013-05-19
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-12-12
pytrainer (1.9.1-2) unstable; urgency=low

  * Move pytr back to /usr/bin. Closes: #650330

Available diffs

Superseded in precise-release on 2011-12-12
pytrainer (1.8.0-4) unstable; urgency=low


  * No longer check gpsbabel version number in the code (LP: #694603)
    but depend on version >= 1.3.5 instead.  Thanks to Xavier Bassery for
    the patch. Closes: #644210

 -- Christian Perrier <email address hidden>  Sun, 09 Oct 2011 15:29:03 +0200
Superseded in precise-release on 2011-11-04
Obsolete in oneiric-release on 2015-04-24
pytrainer (1.8.0-3ubuntu1) oneiric; urgency=low

  * No longer check gpsbabel version number in the code (LP: #694603) but
    depend on version >= 1.3.5 instead.  Thanks to Xavier Bassery for the
    patch.
 -- Brian Murray <email address hidden>   Mon, 03 Oct 2011 14:29:57 -0700

Available diffs

Superseded in oneiric-release on 2011-10-04
pytrainer (1.8.0-3) unstable; urgency=low

  * No longer depend on python-gtkmozembed and depend on python-webkit
    This really Closes: #627793

Available diffs

Superseded in oneiric-release on 2011-07-08
pytrainer (1.8.0-1ubuntu1) oneiric; urgency=low

  * Port from python-gtkmozembed to python-webkit. GtkMozEmbed has been
    abandoned upstream and we are dropping xulrunner from Ubuntu entirely
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance)
    - add debian/patches/01_port_to_webkit.patch
    - add debian/patches/series
    - update debian/control
    - update debian/rules
 -- Chris Coulson <email address hidden>   Wed, 08 Jun 2011 10:28:20 +0100

Available diffs

Superseded in oneiric-release on 2011-06-08
pytrainer (1.8.0-1) unstable; urgency=low

  * new upstream release
    - fixed problem with missing config (closes: #581991)
  * ACK NMU (closes: #591983)
 -- Michael Terry <email address hidden>   Sat,  30 Apr 2011 20:26:19 +0000

Available diffs

Obsolete in natty-updates on 2013-06-04
Deleted in natty-proposed on 2013-06-04 (Reason: moved to -updates)
pytrainer (1.7.2-1.1ubuntu2) natty-proposed; urgency=low

  * Let the application start even if the user configuration file is not
    found.  Fixed in upstream version 1.8.0.  (LP: #760885)
 -- Xavier Bassery <email address hidden>   Sun, 24 Apr 2011 00:12:48 +0200
Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
pytrainer (1.7.2-1.1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #599457), remaining changes:
    - Replace Depends on iceweasel with firefox | abrowser.
    - Drop dependency on python-glade2 (libglade -> gtkbuilder transition).

Superseded in natty-release on 2010-10-16
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
pytrainer (1.7.1-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes
    - debian/control:
      + Replace Depends on iceweasel with firefox | abrowser.
      - Drop dependency on python-glade2 (libglade -> gtkbuilder transition).

Superseded in lucid-release on 2010-03-17
pytrainer (1.7.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/control:
      + Replace Depends on iceweasel with firefox | abrowser.
      + Bump python-dev,debhelper build-dependencies.
      - Drop dependency on python-glade2 (libglade -> gtkbuilder transition).
    - debian/rules:
      + Append --install-laoyut=deb to setup.py install to prevent a build
        failure with Python 2.6.

Available diffs

Superseded in lucid-release on 2010-02-04
pytrainer (1.7.0-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #477875), Ubuntu remaining changes:
    - Replace Depends on iceweasel with firefox | abrowser.
    - Add --install-layout=deb to setup.py install arguments to prevent FTBFS
      with Python 2.6 on Ubuntu.
    - Bump-up debhelper, python-dev build-dependencies.
  * Remove python-glade2 (libglade -> gtkbuilder transition).

Superseded in lucid-release on 2009-12-13
Obsolete in karmic-release on 2013-03-04
pytrainer (1.6.0.8-1ubuntu2) karmic; urgency=low

  * Replace Depends on iceweasel with firefox | abrowser.

 -- Alessio Treglia <email address hidden>   Fri, 14 Aug 2009 08:56:38 +0200
Superseded in karmic-release on 2009-08-14
pytrainer (1.6.0.8-1ubuntu1) karmic; urgency=low

  * Add --install-layout=deb to setup.py install arguments to build with
    Python 2.6, fix FTBFS.
  * Bump-up debhelper, python-dev build-dependencies.

 -- Alessio Treglia <email address hidden>   Mon, 25 May 2009 14:45:08 +0200

Available diffs

Superseded in karmic-release on 2009-05-25
pytrainer (1.6.0.8-1) unstable; urgency=low

  * new upstream release from 2009-04-19

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 May 2009 09:55:13 +0100

Available diffs

Superseded in karmic-release on 2009-05-18
pytrainer (1.6.0.7-2) unstable; urgency=low

  * added missing dependency. closes: #528427
  * corrected Homepage: (e-oss.net is outdated)
  * updated Standards-Version: without changes
  * raised compat version to 5
  * corrected menu section

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  14 May 2009 17:48:35 +0100

Available diffs

Superseded in karmic-release on 2009-05-14
pytrainer (1.6.0.7-1) unstable; urgency=low

  * new upstream release 1.6.0.7 from 2009-03-29
    1.6.0.6 was rejected by ftp-master because of files in the
    upstream orig with non-free license. 1.6.0.7 had these files
    removed so uploading it again
    - closing ITP again (closes: Bug#467038)

124 of 24 results